=== packages/sipb-xen-dom0/sipb-xen-dom0/debian/changelog ===
sipb-xen-dom0 (2.2) unstable; urgency=low

  * Add qemu-ifup script that depends on the device model script and
    invokes vif-sipbroute.    As a consequence, we don't really support
    bridged hvms any more.  It's not clear how to get enough information
    out of qemu to do this.
  * Call arpspoof with 18.181.0.1's address.  This is unfortunate in two
    ways.  First, if we renumber we'll need to update the script.  Second,
    it is possible that someone on 18.181 besides the router may have an
    address cached.  Unfortunately, it doesn't work right if we don't
    send the spoofed arp directly to the router.

 -- Sam Hartman <hartmans@debian.org>  Sun, 26 Aug 2007 18:57:17 -0400

sipb-xen-dom0 (2.1) unstable; urgency=low

  * Fix typo in init script 
  * depend  on dsniff for arpspoof

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:22:20 -0400

sipb-xen-dom0 (2) unstable; urgency=low

  * Add qemu-dm-sipb written by andersk to get us the  domain ID in qemu-ifup 
  * Add vif-sipbroute, a version of vif-route that does better netwwork
    isolation and has initial but useless ipv6 support.  This version also
    uses arpspoof to take over an address for domain migrations.   
  * Add init script to enable rp_filter, proxy_arp and forwarding for the network config.

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:17:23 -0400

sipb-xen-dom0 (1) unstable; urgency=low

  *  First version

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 20:20:32 -0400
