=== packages/xen-common/xen-common/debian/changelog ===
xen-common (3.1.0-0-1sipb1) unstable; urgency=low

  * Version for black-mesa

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:39:53 -0400

xen-common (3.1.0-0-1) UNRELEASED; urgency=low

  [ Julien Danjou ]
  * New upstream version
  * Remove interpreters patch, not useful anymore

  [ Guido Trotter ]
  * Handle gracefully domains called Name.* (closes: #432583)

  [ Ralph Passgang ]
  * create directories with mkdir's "-p" option
  * create $(BUILD_DIR)/docs/out before pod2man is executed.

 -- Guido Trotter <ultrotter@debian.org>  Tue, 10 Jul 2007 21:21:51 +0100

xen-common (3.0.4-1-2) unstable; urgency=low

  * Hide error message when xen-utils-version is not there (closes: #422667)
    (Thanks to Vincent Bernat)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 19 Jun 2007 10:10:27 +0100

xen-common (3.0.4-1-1) unstable; urgency=low

  [ Julien Danjou ]
  * Fix typo in init.d script (Closes: #404078)

  [ Guido Trotter ]
  * New upstream release
  * Fix xendomains init.d script for long domain names (Closes: #395305)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 23 May 2007 13:24:53 +0100

xen-common (3.0.3-0-2) unstable; urgency=medium

  * Make xen-utils-common depend on udev (closes: #398372)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Nov 2006 14:07:43 +0000

xen-common (3.0.3-0-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Add manpages. (Closes: #394931)

  [ Julien Danjou ]
  * Don't fail on loading netloop if it does not exist (Closes: #396477)

  [ Guido Trotter ]
  * New upstream release

 -- Guido Trotter <ultrotter@debian.org>  Thu,  2 Nov 2006 16:41:17 +0000

xen-common (3.0+hg11624-2) unstable; urgency=low

  * Add qemu-ifup script.

 -- Bastian Blank <waldi@debian.org>  Sun,  8 Oct 2006 17:01:05 +0000

xen-common (3.0+hg11624-1) unstable; urgency=medium

  * New upstream snapshot.
  * Load netloop module if necessary. (closes: #388352)
  * Set urgency to medium.

 -- Bastian Blank <waldi@debian.org>  Wed, 27 Sep 2006 09:15:40 +0000

xen-common (3.0+hg11292-2) unstable; urgency=low

  * Add lsb init info blocks.
  * Don't fail if no working xend is available.

 -- Bastian Blank <waldi@debian.org>  Sat,  9 Sep 2006 11:37:52 +0000

xen-common (3.0+hg11292-1) unstable; urgency=low

  * New upstream snapshot.
  * Create /var/log/xen.

 -- Bastian Blank <waldi@debian.org>  Sat,  2 Sep 2006 16:28:41 +0000

xen-common (3.0+hg11205-1) unstable; urgency=low

  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Aug 2006 17:46:22 +0000
