=== packages/sipb-xen-dom0/sipb-xen-dom0/debian/control ===
Source: sipb-xen-dom0
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: sipb-xen-dom0
Architecture: all
Depends: ${misc:Depends},  emacs21, dhcp3-server, nullmailer, dsniff, xen-hypervisor-3.1.0-1-amd64, xen-ioemu-3.1.0-1, xen-utils-3.1.0-1, xen-utils-common, lvm2, grub, linux-image-2.6.18-4-xen-amd64
Description: SIPB Xen domain 0 configuration
 This package includes the dependencies and configuration for 
 a domain 0 sipb-xen server.
