=== packages/xen-3.1/xen-3.1/debian/control ===
Source: xen-3.1
Section: misc
Priority: extra
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Jeremy T. Bouse <jbouse@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5.0.37.2), python-dev (>= 2.3), libsdl1.2-dev, bcc, dpatch, lsb-release, python-central (>= 0.5), zlib1g-dev, libncurses5-dev, x11proto-core-dev, libssl-dev, libcrypto++-dev
Build-Depends-Indep: transfig, tetex-bin, tetex-extra, gs-common, graphviz
XS-Python-Version: current

Package: xen-docs-3.1
Architecture: all
Description: documentation for XEN, a Virtual Machine Monitor
 This package contains all the large documentation files for XEN.  This
 includes a description interface(both the api, and a nice explanation of
 how XEN works).  It also contains the VBD and Xeno howtos.

Package: xen-utils-3.1.0-1
Architecture: amd64 i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${python:Depends}, xen-utils-common (>= 3.0+hg11624-2), iproute, udev (>> 0.060)
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-3.1.0-1
Suggests: xen-docs-3.1
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
XB-Python-Version: ${python:Versions}

Package: xen-ioemu-3.1.0-1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, xen-utils-3.1.0-1 (= ${Source-Version})
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
 .
 This package includes the utilities required to support HVM domains, which
 allows full virtualization of unmodified operating systems, such as
 Microsoft's Windows product line, and standard Linux kernels.
 .
 For this to work, you will need a CPU with hardware virtualization
 support, such as Intel's CPUs with VT, or AMD's CPUs with Pacifica.

Package: xen-hypervisor-3.1.0-1-amd64
Architecture: amd64
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-amd64
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with support for systems with up
 to 4GB of memory.  If you have more please install the -pae version
 instead.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386-pae
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386-pae
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386 with pae
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with PAE enabled, in order to
 support systems with more than 4GB of memory.  If you have less than that
 you should probably choose the non -pae version.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.
