=== packages/xen-common/xen-common/debian/control ===
Source: xen-common
Section: admin
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Jeremy T. Bouse <jbouse@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5.0.37.2), dpatch

Package: xen-utils-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), udev (>> 0.060)
Conflicts: xen-utils-3.0, xen, libxen-python, libxen2.0, libxen2.0-dev
Replaces: xen-utils-3.0, xen-ioemu-3.0, xen-ioemu-3.0-unstable, xen
Description: XEN administrative tools - common files
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
